Package com.ocient.auth

# Interface Token

All Known Implementing Classes:
  `OktaAuthenticators.OktaNativeSSOToken`, `OpenIDAuthenticators.OAuthToken`

public interface Token

## Method Summary

Modifier and Type
Method
Description
`String`
`getToken()`
`String`
`getTokenHint()`

## Method Details

### getTokenHint

String getTokenHint()

Returns:
  the token hint to forward to the database

### getToken

String getToken() throws AuthException

Returns:
  the token payload
Throws:
  `AuthException` - if the token cannot be returned